
#ifndef ELC_EXPORT_H
#define ELC_EXPORT_H

#ifdef SHARED_EXPORTS_BUILT_AS_STATIC
#  define ELC_EXPORT
#  define ELC_NO_EXPORT
#else
#  ifndef ELC_EXPORT
#    ifdef ELCApi_EXPORTS
        /* We are building this library */
#      define ELC_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define ELC_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef ELC_NO_EXPORT
#    define ELC_NO_EXPORT 
#  endif
#endif

#ifndef ELC_DEPRECATED
#  define ELC_DEPRECATED 
#endif

#ifndef ELC_DEPRECATED_EXPORT
#  define ELC_DEPRECATED_EXPORT ELC_EXPORT ELC_DEPRECATED
#endif

#ifndef ELC_DEPRECATED_NO_EXPORT
#  define ELC_DEPRECATED_NO_EXPORT ELC_NO_EXPORT ELC_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef ELC_NO_DEPRECATED
#    define ELC_NO_DEPRECATED
#  endif
#endif

#endif /* ELC_EXPORT_H */
